Bug 142789 - ITIMER_REAL should be per-process, not per thread
ITIMER_REAL should be per-process, not per thread
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2004-12-13 23:06 EST by Roland McGrath
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-09 03:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch posted upstream (8.28 KB, patch)
2004-12-13 23:06 EST, Roland McGrath
no flags Details | Diff

  None (edit)
Description Roland McGrath 2004-12-13 23:06:44 EST
*** This bug has been split off bug 118044 ***

Description of problem:
setitimer operates on individual threads, even under NPTL.
POSIX says it should be process-wide. 

Version-Release number of selected component (if applicable):


How reproducible:
Easily seen in a MT program

Steps to Reproduce:
1.Call setitimer in one thread
2.Exit the thread
3.Process never gets the ALRMs
  
Actual results:


Expected results:


Additional info:

Tracking bug for upstream work, patches on the way.
Comment 1 Roland McGrath 2004-12-13 23:06:44 EST
Created attachment 108490 [details]
patch posted upstream
Comment 2 Roland McGrath 2005-03-12 23:16:43 EST
My changes are in Linus's tree now, hopefully in 2.6.12  
Comment 3 Roland McGrath 2005-04-23 21:13:07 EDT
Rawhide 2.6.12rcN kernels have this.
Comment 4 Roland McGrath 2005-08-09 03:00:17 EDT
All good in FC4.

Note You need to log in before you can comment on or make changes to this bug.